#!/usr/bin/env python
# -*- coding:  utf-8  -*-
from astropy.io import fits

hdul = fits.open('nustar.fits.catalog')
tbdata = hdul[1].data
hdul.close()

with open("../../products/nustar_UDS.reg", 'w') as writer:
    for rec in tbdata:
        writer.write("fk5;circle({}, {}, 0.0025) # color=magenta text={{{}}}\n".format(rec['RAJ2000'], rec['DEJ2000'], rec['NuSTAR']))


